For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Asset Folders
      • GETGet Asset Folder
      • POSTCreate Asset Folder
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
AssetsAsset Folders

Create Asset Folder

POST
https://api.webflow.com/v2/sites/:site_id/asset_folders
POST
/v2/sites/:site_id/asset_folders
$curl -X POST https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/asset_folders \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "displayName": "my asset folder"
>}'
1{
2 "id": "6390c49774a71f0e3c1a08ee",
3 "displayName": "emoji icons",
4 "parentFolder": "6390c49774a71f99f21a08eb",
5 "assets": [
6 "63e5889e7fe4eafa7384cea4",
7 "659595234426a9fcbad57043"
8 ],
9 "siteId": "6390c49674a71f84b51a08d8",
10 "createdOn": "2018-10-14T21:55:49.063Z",
11 "lastUpdated": "2022-12-07T16:51:37.571Z"
12}

Create an Asset Folder within a given site

Required scope | assets:write

Was this page helpful?
Previous

Custom fonts

Upload and manage custom fonts on a Webflow site programmatically.
Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
displayNamestringRequired
A human readable name for the Asset Folder
parentFolderstringOptional

An (optional) pointer to a parent Asset Folder (or null for root)

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Asset Folder
displayNamestring
User visible name for the Asset Folder
parentFolderstring

Pointer to parent Asset Folder (or null if root)

assetslist of strings
Array of Asset instances in the folder
siteIdstringformat: "objectid"
The unique ID of the site the Asset Folder belongs to
createdOnstringformat: "date-time"
Date that the Asset Folder was created on
lastUpdatedstringformat: "date-time"
Date that the Asset Folder was last updated on

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error